Permalink
Browse files

COOK-422, update metadata maintainer for opscode

  • Loading branch information...
1 parent 36f92d5 commit 74c132550e9a66f224438d96314d38ded229760e @jtimberman jtimberman committed Dec 9, 2010
View
@@ -1,42 +1,42 @@
{
- "recommendations": {
- },
- "attributes": {
- },
- "maintainer": "Opscode",
- "suggestions": {
- },
- "dependencies": {
- "rails": [
+ "name": "instiki",
+ "description": "Installs instiki, a Ruby on Rails wiki server under passenger+Apache2.",
+ "long_description": "= DESCRIPTION:\n\nInstalls instiki, a Ruby on Rails wiki server under passenger+Apache2.\n\n= REQUIREMENTS:\n\nOpscode cookbooks:\n\n* apache2\n* passenger_apache2\n* sqlite\n* rails\n\n= USAGE:\n\nSimply apply the 'instiki' recipe. This installs version 0.17 in /srv/instiki/instiki-0.17. A later version of this cookbook might support setting the version and a different installation path, but for now these are hardcoded.\n\n= LICENSE and AUTHOR:\n\nAuthor:: Joshua Timberman <joshua@opscode.com>\n\nCopyright 2009, Opscode, Inc\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\n",
+ "maintainer": "Opscode",
+ "maintainer_email": "cookbooks@opscode.com",
+ "license": "Apache 2.0",
+ "platforms": {
+ },
+ "dependencies": {
+ "apache2": [
- ],
- "passenger_apache2": [
+ ],
+ "passenger_apache2": [
- ],
- "sqlite": [
+ ],
+ "sqlite": [
- ],
- "apache2": [
+ ],
+ "rails": [
- ]
- },
- "maintainer_email": "joshua@opscode.com",
- "conflicting": {
- },
- "platforms": {
- },
- "license": "Apache 2.0",
- "version": "0.2.0",
- "providing": {
- },
- "recipes": {
- "instiki": "Installs instiki and sets up an apache vhost under passenger."
- },
- "replacing": {
- },
- "name": "instiki",
- "description": "Installs instiki, a Ruby on Rails wiki server under passenger+Apache2.",
- "groupings": {
- },
- "long_description": "= DESCRIPTION:\n\nInstalls instiki, a Ruby on Rails wiki server under passenger+Apache2.\n\n= REQUIREMENTS:\n\nOpscode cookbooks:\n\n* apache2\n* passenger_apache2\n* sqlite\n* rails\n\n= USAGE:\n\nSimply apply the 'instiki' recipe. This installs version 0.17 in /srv/instiki/instiki-0.17. A later version of this cookbook might support setting the version and a different installation path, but for now these are hardcoded.\n\n= LICENSE and AUTHOR:\n\nAuthor:: Joshua Timberman <joshua@opscode.com>\n\nCopyright 2009, Opscode, Inc\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\n"
- }
+ ]
+ },
+ "recommendations": {
+ },
+ "suggestions": {
+ },
+ "conflicting": {
+ },
+ "providing": {
+ },
+ "replacing": {
+ },
+ "attributes": {
+ },
+ "groupings": {
+ },
+ "recipes": {
+ "instiki": "Installs instiki and sets up an apache vhost under passenger."
+ },
+ "version": "0.2.1"
+}
View
@@ -1,9 +1,9 @@
maintainer "Opscode"
-maintainer_email "joshua@opscode.com"
+maintainer_email "cookbooks@opscode.com"
license "Apache 2.0"
description "Installs instiki, a Ruby on Rails wiki server under passenger+Apache2."
long_description IO.read(File.join(File.dirname(__FILE__), 'README.rdoc'))
-version "0.2.0"
+version "0.2.1"
recipe "instiki", "Installs instiki and sets up an apache vhost under passenger."
%w{ apache2 passenger_apache2 sqlite rails }.each do |cb|
@@ -1,44 +1,44 @@
{
- "providing": {
- },
- "attributes": {
- },
- "replacing": {
- },
- "dependencies": {
- "nginx": [
+ "name": "passenger_enterprise",
+ "description": "Installs and configures Passenger under Ruby Enterprise Edition with Apache",
+ "long_description": "= DESCRIPTION:\n\n= REQUIREMENTS:\n\n= ATTRIBUTES:\n\n= USAGE:\n\n",
+ "maintainer": "Opscode, Inc.",
+ "maintainer_email": "cookbooks@opscode.com",
+ "license": "Apache 2.0",
+ "platforms": {
+ "ubuntu": [
- ],
- "apache2": [
+ ]
+ },
+ "dependencies": {
+ "ruby_enterprise": [
- ],
- "ruby_enterprise": [
+ ],
+ "nginx": [
- ]
- },
- "groupings": {
- },
- "recommendations": {
- },
- "platforms": {
- "ubuntu": [
+ ],
+ "apache2": [
- ]
- },
- "license": "Apache 2.0",
- "version": "0.4.2",
- "maintainer": "Opscode, Inc.",
- "suggestions": {
- },
- "recipes": {
- "passenger_enterprise": "Installs Passenger gem with Ruby Enterprise Edition",
- "passenger_enterprise::nginx": "Installs Passenger gem w/ REE, and recompiles support into Nginx",
- "passenger_enterprise::apache2": "Enables Apache module configuration for passenger under Ruby Enterprise Edition"
- },
- "maintainer_email": "ops@opscode.com",
- "name": "passenger_enterprise",
- "conflicting": {
- },
- "description": "Installs and configures Passenger under Ruby Enterprise Edition with Apache",
- "long_description": "= DESCRIPTION:\n\n= REQUIREMENTS:\n\n= ATTRIBUTES:\n\n= USAGE:\n\n"
- }
+ ]
+ },
+ "recommendations": {
+ },
+ "suggestions": {
+ },
+ "conflicting": {
+ },
+ "providing": {
+ },
+ "replacing": {
+ },
+ "attributes": {
+ },
+ "groupings": {
+ },
+ "recipes": {
+ "passenger_enterprise": "Installs Passenger gem with Ruby Enterprise Edition",
+ "passenger_enterprise::apache2": "Enables Apache module configuration for passenger under Ruby Enterprise Edition",
+ "passenger_enterprise::nginx": "Installs Passenger gem w/ REE, and recompiles support into Nginx"
+ },
+ "version": "0.4.3"
+}
@@ -1,9 +1,9 @@
maintainer "Opscode, Inc."
-maintainer_email "ops@opscode.com"
+maintainer_email "cookbooks@opscode.com"
license "Apache 2.0"
description "Installs and configures Passenger under Ruby Enterprise Edition with Apache"
long_description IO.read(File.join(File.dirname(__FILE__), 'README.rdoc'))
-version "0.4.2"
+version "0.4.3"
recipe "passenger_enterprise", "Installs Passenger gem with Ruby Enterprise Edition"
recipe "passenger_enterprise::apache2", "Enables Apache module configuration for passenger under Ruby Enterprise Edition"
@@ -3,7 +3,7 @@
"description": "Installs Ruby on Rails with Ruby Enterprise Edition",
"long_description": "= DESCRIPTION:\n\nInstalls Ruby on Rails under Ruby Enterprise Edition\n\n= REQUIREMENTS:\n\nruby_enterprise\n\n= ATTRIBUTES:\n\n* rails_enterprise[:version] - Install the specified version. Default false (installs latest).\n* rails_enterprise[:environment] - Set Rails environment. Default production.\n\n= LICENSE and AUTHOR:\n\nAuthor:: Joshua Timberman (<joshua@opscode.com>)\nCopyright:: 2009, Opscode, Inc\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.\n",
"maintainer": "Opscode, Inc.",
- "maintainer_email": "ops@opscode.com",
+ "maintainer_email": "cookbooks@opscode.com",
"license": "Apache 2.0",
"platforms": {
"ubuntu": [
@@ -87,5 +87,5 @@
"recipes": {
"rails_enterprise": "Installs Ruby on Rails with Ruby Enterprise Edition"
},
- "version": "0.3.0"
+ "version": "0.3.1"
}
@@ -1,9 +1,9 @@
maintainer "Opscode, Inc."
-maintainer_email "ops@opscode.com"
+maintainer_email "cookbooks@opscode.com"
license "Apache 2.0"
description "Installs Ruby on Rails with Ruby Enterprise Edition"
long_description IO.read(File.join(File.dirname(__FILE__), 'README.rdoc'))
-version "0.3.0"
+version "0.3.1"
recipe "rails_enterprise", "Installs Ruby on Rails with Ruby Enterprise Edition"
View
@@ -1,36 +1,36 @@
{
- "recommendations": {
- },
- "attributes": {
- },
- "maintainer": "Opscode",
- "suggestions": {
- },
- "dependencies": {
- "apache2": [
+ "name": "reprepro",
+ "description": "Installs/Configures reprepro for an apt repository",
+ "long_description": "DESCRIPTION\n===========\n\nSets up an APT repository suitable for using the reprepro tool to manage distributions and components.\n\nREQUIREMENTS\n============\n\nPlatform: Debian or Ubuntu.\n\nRequires Chef 0.8.x+, client/server. Does not work with Chef Solo due to data bag use.\n\nYou'll need to generate the PGP key separately and provide the data in the databag.\n\nUSAGE\n=====\n\nAttributes\n----------\n\nAttributes in this cookbook are set via the default recipe with data from the data bag. The following attributes are used, in the `reprepro` namespace.\n\n* `fqdn` - the fqdn that would go in sources.list\n* `description` - a description of the repository\n* `pgp_email` - the email address of the pgp key\n* `pgp_fingerprint` - the finger print of the pgp key\n\nData Bag\n--------\n\nCreate a data bag to store the repository information. \n\n {\n \"id\": \"main\",\n \"fqdn\": \"apt.example.com\",\n \"repo_dir\": \"/srv/apt\",\n \"incoming\": \"/srv/apt_incoming\",\n \"description\": \"APT Repository for our packages.\",\n \"codenames\": [\n \"lucid\", \"karmic\", \"jaunty\", \"intrepid\", \"hardy\", \"sid\", \"squeeze\", \"lenny\"\n ],\n \"pgp\": {\n \"email\": \"packages@example.com\",\n \"fingerprint\": \"PGP Fingerprint for the key\",\n \"public\": \"-----BEGIN PGP PUBLIC KEY BLOCK-----\\n-----END PGP PUBLIC KEY BLOCK-----\\n\",\n \"private\": \"-----BEGIN PGP PRIVATE KEY BLOCK-----\\n-----END PGP PRIVATE KEY BLOCK-----\\n\"\n },\n \"pulls\": {\n \"name\": \"sid\",\n \"from\": \"sid\",\n \"component\": \"main\"\n },\n \"architectures\": [\n \"amd64\",\"i386\",\"all\",\"source\"\n ]\n }\n\nLICENSE AND AUTHOR\n==================\n\nAuthor: Joshua Timberman (<joshua@opscode.com>)\n\nCopyright 2010, Opscode, Inc.\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.\n",
+ "maintainer": "Opscode",
+ "maintainer_email": "cookbooks@opscode.com",
+ "license": "Apache 2.0",
+ "platforms": {
+ },
+ "dependencies": {
+ "build-essential": [
- ],
- "build-essential": [
+ ],
+ "apache2": [
- ]
- },
- "maintainer_email": "joshua@opscode.com",
- "conflicting": {
- },
- "platforms": {
- },
- "license": "Apache 2.0",
- "version": "0.2.1",
- "providing": {
- },
- "recipes": {
- "reprepro": "Installs and configures reprepro for an apt repository"
- },
- "replacing": {
- },
- "name": "reprepro",
- "description": "Installs/Configures reprepro for an apt repository",
- "groupings": {
- },
- "long_description": "DESCRIPTION\n===========\n\nSets up an APT repository suitable for using the reprepro tool to manage distributions and components.\n\nREQUIREMENTS\n============\n\nPlatform: Debian or Ubuntu.\n\nRequires Chef 0.8.x+, client/server. Does not work with Chef Solo due to data bag use.\n\nYou'll need to generate the PGP key separately and provide the data in the databag.\n\nUSAGE\n=====\n\nAttributes\n----------\n\nAttributes in this cookbook are set via the default recipe with data from the data bag. The following attributes are used, in the `reprepro` namespace.\n\n* `fqdn` - the fqdn that would go in sources.list\n* `description` - a description of the repository\n* `pgp_email` - the email address of the pgp key\n* `pgp_fingerprint` - the finger print of the pgp key\n\nData Bag\n--------\n\nCreate a data bag to store the repository information. \n\n {\n \"id\": \"main\",\n \"fqdn\": \"apt.example.com\",\n \"repo_dir\": \"/srv/apt\",\n \"incoming\": \"/srv/apt_incoming\",\n \"description\": \"APT Repository for our packages.\",\n \"codenames\": [\n \"lucid\", \"karmic\", \"jaunty\", \"intrepid\", \"hardy\", \"sid\", \"squeeze\", \"lenny\"\n ],\n \"pgp\": {\n \"email\": \"packages@example.com\",\n \"fingerprint\": \"PGP Fingerprint for the key\",\n \"public\": \"-----BEGIN PGP PUBLIC KEY BLOCK-----\\n-----END PGP PUBLIC KEY BLOCK-----\\n\",\n \"private\": \"-----BEGIN PGP PRIVATE KEY BLOCK-----\\n-----END PGP PRIVATE KEY BLOCK-----\\n\"\n },\n \"pulls\": {\n \"name\": \"sid\",\n \"from\": \"sid\",\n \"component\": \"main\"\n },\n \"architectures\": [\n \"amd64\",\"i386\",\"all\",\"source\"\n ]\n }\n\nLICENSE AND AUTHOR\n==================\n\nAuthor: Joshua Timberman (<joshua@opscode.com>)\n\nCopyright 2010, Opscode, Inc.\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.\n"
- }
+ ]
+ },
+ "recommendations": {
+ },
+ "suggestions": {
+ },
+ "conflicting": {
+ },
+ "providing": {
+ },
+ "replacing": {
+ },
+ "attributes": {
+ },
+ "groupings": {
+ },
+ "recipes": {
+ "reprepro": "Installs and configures reprepro for an apt repository"
+ },
+ "version": "0.2.2"
+}
View
@@ -1,9 +1,9 @@
maintainer "Opscode"
-maintainer_email "joshua@opscode.com"
+maintainer_email "cookbooks@opscode.com"
license "Apache 2.0"
description "Installs/Configures reprepro for an apt repository"
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
-version "0.2.1"
+version "0.2.2"
depends "build-essential"
depends "apache2"
Oops, something went wrong.

0 comments on commit 74c1325

Please sign in to comment.